## org.eclipse.datatools.connectivity.oda.consumer.helper
Class OdaHelperException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.connectivity.oda.OdaException
                  org.eclipse.datatools.connectivity.oda.consumer.helper.OdaHelperException

All Implemented Interfaces:
  java.io.Serializable

public class OdaHelperException
extends OdaException

Exception thrown for errors that occur within the ODA consumer helper package. It encapsulates the handling of additional formatting of the error messages.

See Also:
  Serialized Form

Constructor Summary
`OdaHelperException(int errorNumber, java.util.Locale locale, java.lang.String appendInfo)` Deprecated. Replaced by `OdaHelperException(String, String)`
`OdaHelperException(java.lang.String errorMsg, java.lang.String appendInfo)`

Method Summary
`java.lang.String` `getLocalizedMessage()`
`java.lang.String` `getMessage()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.connectivity.oda.OdaException
`getCause, getErrorCode, getNextException, getSQLState, initCause, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdaHelperException

    public OdaHelperException(java.lang.String errorMsg,
                              java.lang.String appendInfo)

### OdaHelperException

    public OdaHelperException(int errorNumber,
                              java.util.Locale locale,
                              java.lang.String appendInfo)

  Deprecated. Replaced by `OdaHelperException(String, String)`

Method Detail

### getMessage

    public java.lang.String getMessage()

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OdaException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.